/// class PD.Manage.Modules.JobsLogModule
/// using PD.Manage.Module

PD.Manage.Modules.JobsLogModule =
    PD.Manage.Module.extend({

        //===================================
        // EVENT HANDLERS
        //===================================

        onPrepare: function () {
            this.ready();
        },


        onActivate: function () {
            this._init_module();
        },

        onFocus: function () {
            if (this._module != null) {
                this._module.focus();
                this._module.resize();
            }
        },

        onRemove: function () {
            if (this._module != null) {
                this._module.destroy();
            }
        },

        //===================================
        // PROTECTED METHODS
        //===================================

        template: function (e) {
            return `<div style="position:absolute;inset:0;overflow:hidden;"></div>`;
        },

        //===================================
        // PRIVATE METHODS
        //===================================

        _init_module: function () {

            this._module = new PDJS.Manage.Jobs.JobsLogModule({
                container: $(`div[id=${this.get_id()}]`)
            });

        }

    });